// ************************************************************************** //
//
//  BornAgain: simulate and fit scattering at grazing incidence
//
//! @file      Core/includeIncludes/FormFactors.h
//! @brief     Includes form-factor related include files.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2015
//! @authors   Scientific Computing Group at MLZ Garching
//! @authors   C. Durniak, M. Ganeva, G. Pospelov, W. Van Herck, J. Wuttke
//
// ************************************************************************** //

#ifndef FORMFACTORS_H
#define FORMFACTORS_H

#include "FormFactorDecoratorDebyeWaller.h"
#include "FormFactorDecoratorMaterial.h"
#include "FormFactorDecoratorPositionFactor.h"
#include "FormFactorDecoratorRotation.h"
#include "FormFactorWeighted.h"
#include "HardParticles.h"
#include "SoftParticles.h"

#endif // FORMFACTORS_H
